ranger-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alok Lal (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (RANGER-580) Hbase plugin: Plugin may not work after upgrade
Date Mon, 03 Aug 2015 19:32:04 GMT

    [ https://issues.apache.org/jira/browse/RANGER-580?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14652335#comment-14652335
] 

Alok Lal commented on RANGER-580:
---------------------------------

committed: 21fe732a8e31fda55832cd16bcaf96bf7e4b6755

> Hbase plugin: Plugin may not work after upgrade
> -----------------------------------------------
>
>                 Key: RANGER-580
>                 URL: https://issues.apache.org/jira/browse/RANGER-580
>             Project: Ranger
>          Issue Type: Bug
>            Reporter: Alok Lal
>            Assignee: Alok Lal
>
> [The way HBase registers the coprocessor interfaces|https://github.com/apache/hbase/blob/master/hbase-server/src/main/java/org/apache/hadoop/hbase/regionserver/RegionCoprocessorHost.java#L373-L377]
requires that implementing interfaces be explicitly declared by the implementing class.  As
a result {{XaSecureAuthorizationCoprocessor}} must not only extend {{RangerAuthorizationCoprocessor}}
but it must explicitly declare the interfaces that are used by the RPC endpoint registerer
code.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message